Skip to main content
PATCH
/
api
/
v1
/
auth
/
token-auth
/
identities
/
{identityId}
cURL
curl --request PATCH \
  --url https://us.infisical.com/api/v1/auth/token-auth/identities/{identityId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "accessTokenTrustedIps": [
    {
      "ipAddress": "<string>"
    }
  ],
  "accessTokenTTL": 157680000,
  "accessTokenNumUsesLimit": 1,
  "accessTokenMaxTTL": 157680000
}
'
{
  "identityTokenAuth": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z",
    "identityId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "accessTokenTTL": 7200,
    "accessTokenMaxTTL": 7200,
    "accessTokenNumUsesLimit": 0,
    "accessTokenTrustedIps": "<unknown>",
    "accessTokenPeriod": 0
  }
}

Documentation Index

Fetch the complete documentation index at: https://infisical.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

An access token in Infisical

Path Parameters

identityId
string
required

The ID of the machine identity to update the auth method for.

Body

application/json
accessTokenTrustedIps
object[]

The new IPs or CIDR ranges that access tokens can be used from.

Minimum array length: 1
accessTokenTTL
integer

The new lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000
accessTokenNumUsesLimit
integer

The new maximum number of times that an access token can be used.

Required range: x >= 0
accessTokenMaxTTL
integer

The new maximum lifetime for an access token in seconds.

Required range: 0 <= x <= 315360000

Response

Default Response

identityTokenAuth
object
required